VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "MSFLXGRD.OCX"
Begin VB.Form frmQuery 
   Caption         =   "Query"
   ClientHeight    =   5565
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8925
   LinkTopic       =   "Form1"
   ScaleHeight     =   5565
   ScaleWidth      =   8925
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Height          =   375
      Left            =   960
      TabIndex        =   4
      Top             =   1440
      Visible         =   0   'False
      Width           =   735
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "Add"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   735
   End
   Begin MSFlexGridLib.MSFlexGrid flxResults 
      Height          =   1455
      Left            =   0
      TabIndex        =   2
      Top             =   2160
      Visible         =   0   'False
      Width           =   5055
      _ExtentX        =   8916
      _ExtentY        =   2566
      _Version        =   393216
      AllowUserResizing=   1
   End
   Begin VB.CommandButton cmdQuery 
      Caption         =   "Query"
      Height          =   375
      Left            =   1800
      TabIndex        =   1
      Top             =   1440
      Width           =   735
   End
   Begin VB.TextBox txtQuery 
      Height          =   1335
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Text            =   "Query.frx":0000
      Top             =   0
      Width           =   4695
   End
End
Attribute VB_Name = "frmQuery"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private conn As ADODB.Connection

' Add a text record.
Private Sub cmdAdd_Click()
Dim num_records As Long

    conn.Execute "INSERT INTO BookInfo VALUES (" & _
        "'Test Title', 'ISBN', 400, 'URL', '1999', " & _
        "'CD-ROM', 49.99, 'small', 'big')", _
        num_records, adCmdText
    MsgBox "Added " & Format$(num_records) & " record(s)"
End Sub

' Delete all test records.
Private Sub cmdDelete_Click()
Dim num_records As Long

    conn.Execute "DELETE FROM BookInfo " & _
        "WHERE Title = 'Test Title'", _
        num_records, adCmdText
    MsgBox "Deleted " & Format$(num_records) & " record(s)"
End Sub
' Execute the query.
Private Sub cmdQuery_Click()
Dim rs As ADODB.Recordset
Dim col_wid As Single
Dim r As Integer
Dim c As Integer

    ' Execute the query.
    Set rs = conn.Execute(txtQuery.Text, , adCmdText)
    If rs.EOF Then Exit Sub

    ' Make the right number of columns.
    flxResults.Cols = rs.Fields.Count
    flxResults.FixedRows = 1
    flxResults.FixedCols = 0

    ' Set the column names.
    For c = 0 To rs.Fields.Count - 1
        flxResults.TextMatrix(0, c) = rs.Fields(c).Name
        col_wid = rs.Fields(c).DefinedSize * 100
        If col_wid < 720 Then col_wid = 720
        flxResults.ColWidth(c) = col_wid
    Next c

    ' Process the results.
    r = 1
    Do While Not rs.EOF
        flxResults.Rows = r + 1
        For c = 0 To rs.Fields.Count - 1
            flxResults.TextMatrix(r, c) = rs.Fields(c).Value & ""
        Next c

        ' Get the next record.
        rs.MoveNext
        r = r + 1
    Loop
    rs.Close

    flxResults.Visible = True
End Sub

' Open the database connection.
Private Sub Form_Load()
    Set conn = New ADODB.Connection
    conn.Open "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & App.Path & "\books.mdb;" & _
        "Persist Security Info=False"
End Sub

Private Sub Form_Resize()
Const GAP = 60
Dim hgt As Single

    hgt = (ScaleHeight - cmdQuery.Height - 2 * GAP) / 2
    If hgt < 120 Then hgt = 120
    txtQuery.Move 0, 0, ScaleWidth, hgt
    cmdQuery.Move (ScaleWidth - cmdQuery.Width) / 2, hgt + GAP
    flxResults.Move 0, cmdQuery.Top + cmdQuery.Height + GAP, ScaleWidth, hgt

    cmdAdd.Move 120, cmdQuery.Top
    cmdDelete.Move cmdAdd.Left + cmdAdd.Width + 120, cmdQuery.Top
End Sub

' Close the database connection.
Private Sub Form_Unload(Cancel As Integer)
    conn.Close
End Sub


